Package com.mckoi.database

## Interface CellInput

All Superinterfaces:
  `java.io.DataInput`

    public interface CellInput
    extends java.io.DataInput

Author:
  Tobias Downer

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `readChars​(int length)` Reads a string of chars from the input stream up to the given length and returns it as a String object.

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Method Detail

#### readChars

    java.lang.String readChars​(int length)
                        throws java.io.IOException

Reads a string of chars from the input stream up to the given length and returns it as a String object.

Throws:
  `java.io.IOException`